Bug 814444 - [REST API] Return specific error code from server when Jenkins cart can't be added
[REST API] Return specific error code from server when Jenkins cart can't be ...
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-04-19 17:06 EDT by Clayton Coleman
Modified: 2012-06-08 13:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-08 13:59:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-04-19 17:06:48 EDT
When the user attempts to add a Jenkins client without a Jenkins server, the REST API should return a unique exit code and clean message to the caller.  Currently the message from the server is:

Failed to add jenkins-client-1.4 to application test1 : Node execution failure (invalid exit code from node). If the problem persists please contact Red Hat support.. Details : --DEBUG-- Cartridge return code: 151 --RESULT-- --MESSAGE-- --ERROR-- Jenkins server does not exist! Please create with rhc app create -t jenkins-1.4 --APP INFO-- --CART COMMANDS-- --DATA-- --EXIT CODE-- 151 

and the status code is 143 which is generic.  We should return 151 (if it's not reserved) and reserve it as "You cannot add a jenkins client until you add the jenkins server to the application".  We do not need the suggested application creation flow in the error - both the client and server can handle that.

We can't enable Jenkins in the UI until we have this.
Comment 1 Krishna Raman 2012-05-07 04:14:02 EDT
Comment 2 Krishna Raman 2012-05-07 12:36:07 EDT
Comment 3 yquan 2012-05-16 01:15:08 EDT
It is fixed in devenv_1778.

Note You need to log in before you can comment on or make changes to this bug.